Debian Bug report logs - #698572
setools: FTBFS: symbols file mismatch

version graph

Package: src:setools; Maintainer for src:setools is Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>;

Reported by: Thorsten Glaser <tg@mirbsd.de>

Date: Sun, 20 Jan 2013 16:15:02 UTC

Severity: normal

Tags: patch

Found in version setools/3.3.7-3

Fixed in version setools/3.3.7-3.1

Done: Nick Andrik <nick.andrik@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>:
Bug#698572; Package src:setools. (Sun, 20 Jan 2013 16:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
New Bug report received and forwarded. Copy sent to Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>. (Sun, 20 Jan 2013 16:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: setools: FTBFS: symbols file mismatch
Date: Sun, 20 Jan 2013 16:13:48 +0000
[Message part 1 (text/plain, inline)]
Source: setools
Version: 3.3.7-3
Severity: serious
Justification: fails to build from source (but built successfully in the past)

Hi,

see attached build log.

-- System Information:
Debian Release: 7.0
  APT prefers unreleased
  APT policy: (500, 'unreleased'), (500, 'unstable')
Architecture: m68k

Kernel: Linux 3.2.0-4-atari
Locale: LANG=C, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/mksh-static
[setools_3.3.7-3_m68k.build (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>:
Bug#698572; Package src:setools. (Wed, 23 Jan 2013 23:00:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Andrik <nick.andrik@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>. (Wed, 23 Jan 2013 23:00:13 GMT) Full text and rfc822 format available.

Message #10 received at 698572@bugs.debian.org (full text, mbox):

From: Nick Andrik <nick.andrik@gmail.com>
To: 698572@bugs.debian.org
Subject: Re: setools: FTBFS: symbols file mismatch
Date: Wed, 23 Jan 2013 23:56:39 +0100
It seems that version 3.3.6 of the package introduced new symbols for
the libraries, but the .symbols files for arm and m68k architectures
were not updated.

The files that are obsolete are (* denotes the architecture):
libapol4.symbols.*
libqpol1.symbols.*
libseaudit4.symbols.*

Also, I notice that most of the symbol files for a given library are
the same across all architectures.
Wouldn't be more convenient to just have a generic one (without .arch)
and the architecture specific only for those that differ?

In any case, I can prepare an NMU with the updated symbols

Nick



Information forwarded to debian-bugs-dist@lists.debian.org, Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>:
Bug#698572; Package src:setools. (Thu, 24 Jan 2013 00:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Andrik <nick.andrik@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>. (Thu, 24 Jan 2013 00:51:03 GMT) Full text and rfc822 format available.

Message #15 received at 698572@bugs.debian.org (full text, mbox):

From: Nick Andrik <nick.andrik@gmail.com>
To: 698572@bugs.debian.org, control@bugs.debian.org
Subject: Re: setools: FTBFS: symbols file mismatch
Date: Thu, 24 Jan 2013 01:46:47 +0100
[Message part 1 (text/plain, inline)]
tags 698572 + patch
thanks

I have prepared an NMU solving this problem.

What I did was to first merge all the arch-dep .symbols files (which
were all identical) in one arch-indep for the following libs:
libapol4, libpoldiff1, libqpol1, libseaudit4

There is still the need for arch-dep symbol files for libsefs4
The arch-indep file groups the previous hppa/mips/sparc/mipsel files.
Also .powerpc and .s390 files of this library are still identical

The updated needed .arm and .m68k files are now covered by arch-indep
ones for all libraries

I attach a debdiff of the changes and you can find a prepared package
on mentors:
https://mentors.debian.net/package/setools

Kind regards,
Nick
[setools_3.3.7-3_3.3.7-3.1.debdiff (application/octet-stream, attachment)]

Added tag(s) patch. Request was from Nick Andrik <nick.andrik@gmail.com> to control@bugs.debian.org. (Thu, 24 Jan 2013 00:51:05 GMT) Full text and rfc822 format available.

Reply sent to Nick Andrik <nick.andrik@gmail.com>:
You have taken responsibility. (Sun, 27 Jan 2013 16:36:06 GMT) Full text and rfc822 format available.

Notification sent to Thorsten Glaser <tg@mirbsd.de>:
Bug acknowledged by developer. (Sun, 27 Jan 2013 16:36:06 GMT) Full text and rfc822 format available.

Message #22 received at 698572-close@bugs.debian.org (full text, mbox):

From: Nick Andrik <nick.andrik@gmail.com>
To: 698572-close@bugs.debian.org
Subject: Bug#698572: fixed in setools 3.3.7-3.1
Date: Sun, 27 Jan 2013 16:33:10 +0000
Source: setools
Source-Version: 3.3.7-3.1

We believe that the bug you reported is fixed in the latest version of
setools, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 698572@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nick Andrik <nick.andrik@gmail.com> (supplier of updated setools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 24 Jan 2013 00:08:22 +0000
Source: setools
Binary: setools libsefs4 libsefs-dev libseaudit4 libseaudit-dev libapol4 libapol-dev libpoldiff1 libpoldiff-dev libqpol1 libqpol-dev libsetools-jni libsetools-java libsetools-tcl python-setools
Architecture: source amd64 all
Version: 3.3.7-3.1
Distribution: unstable
Urgency: low
Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
Changed-By: Nick Andrik <nick.andrik@gmail.com>
Description: 
 libapol-dev - Security Enhanced Linux policy analysis development
 libapol4   - Security Enhanced Linux policy analysis library
 libpoldiff-dev - Security Enhanced Linux semantic policy differences development
 libpoldiff1 - Security Enhanced Linux semantic policy differences library
 libqpol-dev - Security Enhanced Linux policy abstraction development
 libqpol1   - Security Enhanced Linux policy abstraction library
 libseaudit-dev - Security Enhanced Linux audit message parser development
 libseaudit4 - Security Enhanced Linux audit message parsing library
 libsefs-dev - Security Enhanced Linux file context management development
 libsefs4   - Security Enhanced Linux file context management
 libsetools-java - SETools Java bindings (architecture-independent)
 libsetools-jni - SETools Java bindings (architecture-dependent)
 libsetools-tcl - SETools Tcl bindings
 python-setools - SETools Python bindings
 setools    - tools for Security Enhanced Linux policy analysis
Closes: 698572
Changes: 
 setools (3.3.7-3.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * debian/*.symbols*
     - Update for arm/m68k architectures (Closes: #698572)
     - Use non-architecture files and delete architecture ones when identical
Checksums-Sha1: 
 cf0bc15978c92da250648ba93a0332da87829ed6 2995 setools_3.3.7-3.1.dsc
 247bf69588b49f1ccffb830f1a533bccf2f8ade8 922624 setools_3.3.7.orig.tar.bz2
 3d24fbd0aa674362b700e1dbffed5bde6f84e3e9 50308 setools_3.3.7-3.1.debian.tar.gz
 3a99be261594fe8c547a32e17df8fd6f9fbce74c 1421320 setools_3.3.7-3.1_amd64.deb
 fcd1d4d986cf940143c988c08f9d767760b0dbc3 67730 libsefs4_3.3.7-3.1_amd64.deb
 d67c51c296441e36b9d95cbca5a3b1a885c84777 87898 libsefs-dev_3.3.7-3.1_amd64.deb
 19b235c1dffa5b1c0a55bfe3af1bf882aff17b8e 69018 libseaudit4_3.3.7-3.1_amd64.deb
 0f32d58ca05a9280f5b96e8144742229b7435d4b 89748 libseaudit-dev_3.3.7-3.1_amd64.deb
 4d8e11acf76b4e7a34e8d673ca1bd36897ef3424 113688 libapol4_3.3.7-3.1_amd64.deb
 8f57425d6a6432aa65ea0eb12938f9ec58324e6f 171244 libapol-dev_3.3.7-3.1_amd64.deb
 eb3080e88bf0f13a293a9d335fd14556def14df4 77964 libpoldiff1_3.3.7-3.1_amd64.deb
 3aeca3932fb7af0f4ae3599b3b9ad74b62dacbfd 104004 libpoldiff-dev_3.3.7-3.1_amd64.deb
 c216618818cce13da3ff31083b4984331d7b36b4 221670 libqpol1_3.3.7-3.1_amd64.deb
 9bf5c13ba120ddd700e8c50b71df47e8cb9419bb 309662 libqpol-dev_3.3.7-3.1_amd64.deb
 679760d77eb85fb5b24cbd29d6c4f43809c0369e 341000 libsetools-jni_3.3.7-3.1_amd64.deb
 8644e042174aaa928958dc29a639d8518d88a3ba 172478 libsetools-java_3.3.7-3.1_all.deb
 fffb10b9d6500516d5a40643c708e2251cdd7695 638414 libsetools-tcl_3.3.7-3.1_amd64.deb
 efbc5795a3ff2d7d02b27c1ebcabbffe482cfb61 510354 python-setools_3.3.7-3.1_amd64.deb
Checksums-Sha256: 
 acca61a0c058165f89a3dfd1a3e40a59beccb26e79c72291af3354c63c8d13c2 2995 setools_3.3.7-3.1.dsc
 c5f917e63b210dda68bf8cf74d5f67aefa060d4123bf955b0d3d9714f64fa7db 922624 setools_3.3.7.orig.tar.bz2
 14bc84eb79f3d2a29faf9b2cdb18a3e876c39714916dfe0494e5f9c16b37b331 50308 setools_3.3.7-3.1.debian.tar.gz
 afd15efc50966cf6279ecaf4efa26feb1d4a7fad132d6911a8f9637eb85aa42e 1421320 setools_3.3.7-3.1_amd64.deb
 b1388ff030fd4a95f63ce47a5961778ee5540fbcff3923c5e71332082d5cb37a 67730 libsefs4_3.3.7-3.1_amd64.deb
 e6c78a90b7fc1e7ea5d1c788b16c760ead42b4d98425cf1b684ddd0eed277b68 87898 libsefs-dev_3.3.7-3.1_amd64.deb
 cf767bbbe9d4245998ade00ca1f7665ad054902aae8830955df8a13440b078c3 69018 libseaudit4_3.3.7-3.1_amd64.deb
 71ad81c6eb035a743c8dde1f48332eb3a9432ae96c88af8491a7c8c7ee347bc9 89748 libseaudit-dev_3.3.7-3.1_amd64.deb
 645b3a4ced211635b618d70d2e9213609183b856f7653444c65fc7fb22f11b9d 113688 libapol4_3.3.7-3.1_amd64.deb
 72564f2907d8d96ea52380caa1d54f5e3f5c1159349c26cdcfc5939e628c06be 171244 libapol-dev_3.3.7-3.1_amd64.deb
 f413a78587d8c3e7ac24f8b04abf512b131eb670eb1e537a722571e51496e6e6 77964 libpoldiff1_3.3.7-3.1_amd64.deb
 8608558900cedf10c639480af50bab1f12c56732fd7f31fe80bdfdd6cc9913d8 104004 libpoldiff-dev_3.3.7-3.1_amd64.deb
 fdfe76d2d38242a38db7332fb96c0dab3dbac850edcd9dcef4c17af68026ce45 221670 libqpol1_3.3.7-3.1_amd64.deb
 7d644c8cd071f9a69803209619f383d95dfafd59004c1d86e277fe00c706979f 309662 libqpol-dev_3.3.7-3.1_amd64.deb
 65c3cdc5baaf680e6e67acad09f8e13027ffd2f42dffcfcc821ff7c69a863ae8 341000 libsetools-jni_3.3.7-3.1_amd64.deb
 b9734523cf60b0123f589e1eae82627f928498d583bef5b14c00072a31d251bc 172478 libsetools-java_3.3.7-3.1_all.deb
 6040349277b4a7aaf3dc13441b6aa02c9f0edaa88e93f0dc6c7a218af431ff5f 638414 libsetools-tcl_3.3.7-3.1_amd64.deb
 ad1c9ef93b8fd780489bc10666358de04a22e387cc102388adde04f4559dc9ef 510354 python-setools_3.3.7-3.1_amd64.deb
Files: 
 c468d429ae6926b2f3e1d91329c81814 2995 admin optional setools_3.3.7-3.1.dsc
 be77c5e58432c6b2b0c4e10758e80dcb 922624 admin optional setools_3.3.7.orig.tar.bz2
 cfd4f33f05d8098fa46199e735c0e613 50308 admin optional setools_3.3.7-3.1.debian.tar.gz
 6041e52787c055fc84fc0afbd0cfad26 1421320 admin optional setools_3.3.7-3.1_amd64.deb
 f411bd0b49882d24268f652231eb77f1 67730 libs optional libsefs4_3.3.7-3.1_amd64.deb
 d47a328a3aa975c5f684dadbb22a8915 87898 libdevel optional libsefs-dev_3.3.7-3.1_amd64.deb
 3aae8f40dca75388d6fd090f426bfc07 69018 libs optional libseaudit4_3.3.7-3.1_amd64.deb
 2bbebd212802df22981307b41948839a 89748 libdevel optional libseaudit-dev_3.3.7-3.1_amd64.deb
 4b03f1dc3f345f76f8162ab7825272c0 113688 libs optional libapol4_3.3.7-3.1_amd64.deb
 5a13fe076a2e35ecec545745b9207b93 171244 libdevel optional libapol-dev_3.3.7-3.1_amd64.deb
 21aa551486d611420d0631d4aa42496d 77964 libs optional libpoldiff1_3.3.7-3.1_amd64.deb
 051d0d62d64013250da0933d4cc1d0f4 104004 libdevel optional libpoldiff-dev_3.3.7-3.1_amd64.deb
 2ac8999693662cb29298159064bea820 221670 libs optional libqpol1_3.3.7-3.1_amd64.deb
 bb92aea268b90bf4c69c5966654633e1 309662 libdevel optional libqpol-dev_3.3.7-3.1_amd64.deb
 1c0fe4e3af74ddea7a343c3753d5222f 341000 libs optional libsetools-jni_3.3.7-3.1_amd64.deb
 8239e357f3595e5186de99710f04a51c 172478 java optional libsetools-java_3.3.7-3.1_all.deb
 4901fdac1db5aff2113c9f6c8f336cbc 638414 libs optional libsetools-tcl_3.3.7-3.1_amd64.deb
 5c8e8ab3b9729d1f294ff69675af9df5 510354 python optional python-setools_3.3.7-3.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRBVXAAAoJEHQmOzf1tfkTgW0QAIiuAHB0liNenyfaTUdcJqYh
irRlhLaK5vrQNDwSX0qGtydqYeHwGY1mBluaaunXjZRWLGoeZ+3WyIMgEfPMxox5
8HskJulH4HZjDz2HrLFagzpfWTZzB43uukgMIA0ZfP3lvPMlqtEOOckDaxeQRbtf
yU2H/XDHJhWFWKV4ioVZrc7PJfjA203pBWNSEFnn3ZMUNyxLoJ/liEGKkGdX7SCc
BNSG4Aw+gDE3tp740jYGE8Do+GhuVoA18bzBYe0G4Bj3NdWr2zief2IrfAi8+BZY
IcJjkWDckkOprsVgBoW+4QNMIdfkEiKMUJ/AlRoNkAZx0WcpKMhRrwhNgddbDCcs
sFj1nMvXjImJBfRyhZzxpeUDDDwjuMZU+uZJd7n7p7Kfs4dJmHxPl+/x0FmC+OZn
4w8Z04XhE0Yi7fj06rgkYiUnfkfsxd9fOKQYGJ2JHXFRsMtoRK6dB+M8wSbrgJlb
Jc/Ye2YH5Xh1P1rM9SNaLlEYDZC7VRGuvXOU8j3SgnaKYfhPnyEjcFp8oKzbr8MS
g6FZRPde6gZSO8A9LI6UTrhDiQgHZfS4FyfVrm7EoQ7tFGLZ5v1dRigBzF5qFqAV
0GtVeHQZA6xp0tuopFkPnLpt0oclyQoTJk7H9Nupr8EhDu9HeZpOLLGuubSPKkHO
7nDNE1AP8E1+GgAQJJXV
=MGzx
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>:
Bug#698572; Package src:setools. (Sun, 27 Jan 2013 17:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>. (Sun, 27 Jan 2013 17:03:09 GMT) Full text and rfc822 format available.

Message #27 received at 698572@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Thorsten Glaser <tg@mirbsd.de>, 698572@bugs.debian.org
Subject: Re: Bug#698572: setools: FTBFS: symbols file mismatch
Date: Sun, 27 Jan 2013 16:59:58 +0000
[Message part 1 (text/plain, inline)]
Control: severity -1 normal

On Sun, Jan 20, 2013 at 16:13:48 +0000, Thorsten Glaser wrote:

> Source: setools
> Version: 3.3.7-3
> Severity: serious
> Justification: fails to build from source (but built successfully in the past)
> 
m68k bugs are not serious severity.  Please don't do that.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Severity set to 'normal' from 'serious' Request was from Julien Cristau <jcristau@debian.org> to 698572-submit@bugs.debian.org. (Sun, 27 Jan 2013 17:03:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>:
Bug#698572; Package src:setools. (Sun, 27 Jan 2013 17:36:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>. (Sun, 27 Jan 2013 17:36:12 GMT) Full text and rfc822 format available.

Message #34 received at 698572@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: Julien Cristau <jcristau@debian.org>
Cc: 698572@bugs.debian.org
Subject: Re: Bug#698572: setools: FTBFS: symbols file mismatch
Date: Sun, 27 Jan 2013 17:32:20 +0000 (UTC)
Julien Cristau dixit:

>m68k bugs are not serious severity.  Please don't do that.

Oops, did I do it again? Sorry. Normally I remember by now
to change the default value of reportbug. That one must have
slipped. (That being said, bugs spotted on m68k *can* be it,
but yes they normally aren’t.)

bye,
//mirabilos
-- 
I believe no one can invent an algorithm. One just happens to hit upon it
when God enlightens him. Or only God invents algorithms, we merely copy them.
If you don't believe in God, just consider God as Nature if you won't deny
existence.		-- Coywolf Qi Hunt



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 20 Jun 2013 07:49:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:11:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.